//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: This is the base version of the vortigaunt
//
//=============================================================================//

#ifndef HLW_NPC_VORTIGAUNT_H
#define HLW_NPC_VORTIGAUNT_H
#ifdef _WIN32
#pragma once
#endif

#include "npc_vortigaunt_episodic.h"


//=========================================================
//	>> CHLW_NPC_Vortigaunt
//=========================================================
class CHLW_NPC_Vortigaunt : public CNPC_Vortigaunt
{
	DECLARE_CLASS( CHLW_NPC_Vortigaunt, CNPC_Vortigaunt );

	void			Spawn();

	// Override these to set behavior
	virtual int		SelectSchedule( void );
	int				SelectScheduleBehaviorNormalCombat();
	int				SelectScheduleBehaviorAggressiveCombat();

	// init our unit type
	void	InitUnitIndex();

public:
	DECLARE_DATADESC();
	//DEFINE_CUSTOM_AI;
};

#endif // HLW_NPC_VORTIGAUNT_H
